ToOneBinder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ToOneBinder

    java.lang.Object
      org.hibernate.cfg.ToOneBinder

    public class ToOneBinder

extends Object

Work in progress The goal of this class is to aggregate all operations related to ToOne binding operations

Constructor Summary
`ToOneBinder()`

Method Summary
`static String` | `getReferenceEntityName(PropertyData propertyData, Mappings mappings)`
`static String` | `getReferenceEntityName(PropertyData propertyData, org.hibernate.annotations.common.reflection.XClass targetEntity, Mappings mappings)`
`static org.hibernate.annotations.common.reflection.XClass` | `getTargetEntity(PropertyData propertyData, Mappings mappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToOneBinder

    public ToOneBinder()

Method Detail

### getReferenceEntityName

    public static String getReferenceEntityName(PropertyData propertyData,
                                                org.hibernate.annotations.common.reflection.XClass targetEntity,
                                                Mappings mappings)

### getReferenceEntityName

    public static String getReferenceEntityName(PropertyData propertyData,
                                                Mappings mappings)

### getTargetEntity

    public static org.hibernate.annotations.common.reflection.XClass getTargetEntity(PropertyData propertyData,
                                                                                     Mappings mappings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.